> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trugen.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List All MCPs

> Fetches a list of available MCP configurations. Requires `x-api-key` authentication.



## OpenAPI

````yaml GET /ext/mcp
openapi: 3.0.3
info:
  title: TruGen Developer Platform API
  version: 1.0.0
  description: OpenAPI specification for MCP endpoint
servers:
  - url: https://api.trugen.ai/v1
security: []
paths:
  /ext/mcp:
    get:
      summary: Get MCP details
      description: >-
        Fetches a list of available MCP configurations. Requires `x-api-key`
        authentication.
      responses:
        '200':
          description: Successful MCP response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                      example: 0f7b696c-ecdf-4900-addc-e7cfdbbce1c7
                    name:
                      type: string
                      example: Livekit Docs
                    description:
                      type: string
                      example: MCP server to get livekit info
                    type:
                      type: string
                      example: shttp/sse
                    request_config:
                      type: object
                      properties:
                        url:
                          type: string
                          format: uri
                          example: >-
                            http://ec2-18-216-51-35.us-east-2.compute.amazonaws.com:8080/sse
                        headers:
                          type: object
                          additionalProperties:
                            type: string
                          example:
                            User-Agent: Trugen Avatar
                            Accept: application/json
                      required:
                        - url
                    created_at:
                      type: string
                      format: date-time
                      example: '2025-09-15T16:56:45.580326Z'
                    updated_at:
                      type: string
                      format: date-time
                      example: '2025-09-15T16:56:45.580326Z'
                  required:
                    - id
                    - name
                    - description
                    - type
                    - request_config
                    - is_active
                    - created_at
                    - updated_at
        '401':
          description: Unauthorized – invalid API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: 'Unauthorized: not a valid authorization api key'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: Failed to retrieve MCP details
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````